services:
  _defaults:
    public: false
    autowire: true
    autoconfigure: true

  Fittinq\Pimcore\Commands\DataObjectCommandConsumer\CommandRegistry:

  Fittinq\Pimcore\Commands\Command\DataObjectCommand:
    class: Fittinq\Symfony\RabbitMQ\Command\ConsumeCommand
    tags:
      - { name: 'console.command', command: 'pim:command', description: 'Consumes messages from pim.command.pim handle dataObject changes' }
    arguments:
      $handler: '@Fittinq\Pimcore\Commands\DataObjectCommandConsumer\DataObjectCommandConsumer'
      $errorHandler: '@Fittinq\Symfony\RabbitMQ\Bundle\Opsgenie\OpsgenieErrorHandler'

  Fittinq\Pimcore\Commands\DataObjectCommandConsumer\DataObjectCommandConsumer:
    arguments:
      $queue: 'pim.command.pim'
      $errorLogger: '@Fittinq\Symfony\RabbitMQ\ErrorLogging\ErrorLogger'
      $commandRegistry: '@Fittinq\Pimcore\Commands\DataObjectCommandConsumer\CommandRegistry'
